d.rast(1)

NAME
d.rast - Displays user-specified raster map in the active graphics frame.

KEYWORDS
display, graphics, raster

SYNOPSIS
d.rast
d.rast --help
d.rast [-ni] map=name [values=value[-value][,value[-value],...]] [bgcolor=color] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Make null cells opaque

-i
    Invert value list

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map to be displayed

values=value[-value][,value[-value],...]
    List of categories or values to be displayed

bgcolor=color
    Background color (for null)
    Either a standard color name or R:G:B triplet
    Default: white

DESCRIPTION
d.rast displays the specified raster map in the active display frame on the graphics monitor.

EXAMPLE
Display raster map "elevation":

d.rast map=elevation

Figure: elevation raster map visualization Display raster map "elevation" but only the raster cells with values between 75 and 80 meters:

d.rast map=elevation values=75-80

Figure: elevation raster map showing values between 75 and 80 meters Display raster map "landuse96_28m" but only categories 1 and 2:

d.rast landuse96_28m values=1,2

Figure: landuse raster map showing categories 1 and 2

SEE ALSO
d.rast.arrow, d.rast.num, d.rast.leg, d.legend, d.mon, d.erase, d.vect

wxGUI

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: d.rast source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual